org.springframework.web.reactive.socket.server

## Interface WebSocketService

All Known Implementing Classes:
  HandshakeWebSocketService

    public interface WebSocketService

A service to delegate WebSocket-related HTTP requests to.

For a WebSocket endpoint this means handling the initial WebSocket HTTP handshake request. For a SockJS endpoint it could mean handling all HTTP requests defined in the SockJS protocol.

Since:
  5.0
Author:
  Rossen Stoyanchev
See Also:
  `HandshakeWebSocketService`

### Method Summary

All Methods Instance Methods Abstract Methods
`reactor.core.publisher.Mono<Void>` `handleRequest(org.springframework.web.server.ServerWebExchange exchange, WebSocketHandler webSocketHandler)` Handle the request with the given `WebSocketHandler`.

### Method Detail

#### handleRequest

    reactor.core.publisher.Mono<Void> handleRequest(org.springframework.web.server.ServerWebExchange exchange,
                                                    WebSocketHandler webSocketHandler)

Handle the request with the given `WebSocketHandler`.

Parameters:
  `exchange` - the current exchange
  `webSocketHandler` - handler for WebSocket session
Returns:
  a `Mono<Void>` that completes when application handling of the WebSocket session completes.